Bug 1268986 - gdal update for EPEL-6
gdal update for EPEL-6
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: gdal (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 16:05 EDT by Andreas Luik
Modified: 2015-11-14 07:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 16:45:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Luik 2015-10-05 16:05:11 EDT
Description of problem:

For RHEL 6, gdal 1.7.3-15.el6 is the latest version available in the EPEL-6 repository, whereas 1.11.1 is available in EPEL-7 and 1.11.3 is the latest upstream version. I would kindly ask for an update of GDAL in EPEL-6 to 1.11.x.
Comment 1 Devrim Gündüz 2015-10-05 16:45:16 EDT
This would break various packages around GDAL, which is against the EPEL policy.
Comment 2 Volker Fröhlich 2015-10-05 17:01:58 EDT
Sorry, but I'm afraid the EPEL policy does not allow for that:

https://fedoraproject.org/wiki/EPEL_Updates_Policy

If you need it for yourself, you can try to rebuild the package from Fedora. We used to have a downstream repo doing rebuilds (ELGIS) and I left the conditionals for EPEL inside. So it's probably still possible. What is more, Pavel Lisý has a COPR repo with backports:

https://copr.fedoraproject.org/coprs/pali/el6gis/builds/
Comment 3 Andreas Luik 2015-11-13 11:06:41 EST
Thanks for the explanation.  Additional question: is anybody working to make gdal2 available in EPEL-6 (as an additional package using separate name and directories to not conflict with gdal-1.7)?
Comment 4 Volker Fröhlich 2015-11-14 07:14:03 EST
Not that I knew. I wonder if it even makes sense, with most of the underlying libraries being old too.

Our manpower is very limited with GIS packaging and we greatly appreciate new volunteers.

Note You need to log in before you can comment on or make changes to this bug.